/**
 * get HTML of selector element and peirce through all Shadow DOM documents
 *
 * @param  {string}  element               element to get HTML from
 * @param  {Boolean} includeSelectorTag    if true, selector tag gets included (uses outerHTML)
 * @param  {Object}  shadowElementIdsFound list of shadow root ids we want to look up in the next iteration
 * @return {Object}                        html source and list of shadow root ids found
 */
export default function getHTMLShadow(element: HTMLElement | ShadowRoot, includeSelectorTag: boolean, shadowElementIds?: [string, HTMLElement][]): {
    /**
     * `getHTMLShadow` requires `includeSelectorTag` to be set to `false` if the element
     * is a shadow root itself
     */
    html: string;
    shadowElementIdsFound: string[];
    styles: string[];
};
//# sourceMappingURL=getHTMLShadow.d.ts.map