import type { local, remote } from 'webdriver';
import type { RequestWithOptions, RespondWithOptions } from './types.js';
/**
 * parse request or response overwrites to make it compatible with Bidis protocol
 * @param overwrite request or response overwrite
 * @returns object to pass to the protocol
 */
export declare function parseOverwrite(overwrite: RequestWithOptions | RespondWithOptions, request: local.NetworkBeforeRequestSentParameters | local.NetworkResponseCompletedParameters): {
    body: remote.NetworkBytesValue | undefined;
    headers: remote.NetworkHeader[];
    cookies: remote.NetworkSetCookieHeader[];
    method: string | undefined;
    statusCode: number | undefined;
    url: string | undefined;
};
export declare function getPatternParam(pattern: URLPattern, key: keyof Omit<remote.NetworkUrlPatternPattern, 'type'>): string | undefined;
//# sourceMappingURL=utils.d.ts.map